package com.jasamedika.medifirst2000.vo;

import java.text.DecimalFormat;

import javax.persistence.Column;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.validation.constraints.NotNull;

import com.fasterxml.jackson.annotation.JsonManagedReference;
import com.jasamedika.medifirst2000.base.vo.BaseTransactionVO;
import com.jasamedika.medifirst2000.entities.PelayananProduksi;
import com.jasamedika.medifirst2000.helper.Caption;

public class ProduksiDetailVO extends BaseTransactionVO{
	
	////
	@ManyToOne
	@JoinColumn(name = "ObjectPelayananAdmixtureFk")
	//@NotNull(message = "PelayananAdmixture tidak boleh kosong")
	private PelayananProduksiVO pelayananAdmixture;
	
	@Column(name = "ObjectPelayananAdmixtureFk", insertable = false, updatable = false)
	private String pelayananAdmixtureId;
	
	@ManyToOne
	@JoinColumn(name = "ObjectPelayananCytotoxicFk")
	private PelayananProduksiVO pelayananCytotoxic;
	
	@Column(name = "ObjectPelayananCytotoxicFk", insertable = false, updatable = false)
	private String pelayananCytotoxicId;
	
	@Caption(value="Kode Barang")
	@Column(name = "KdBarang")
	private String kdBarang;
	
	@Caption(value="Nama Barang")
	@Column(name = "namaBarang")
	private String namaBarang;
	
	@Caption(value="Satuan")
	@Column(name = "satuan")
	private String satuan;
	
	@Caption(value="Quantity")
	@Column(name = "Quantity")
	private Integer qty;
	
	@Caption(value="Harga")
	@Column(name = "harga")
	private Double harga;
	
	@Caption(value="Sub Total")
	@Column(name = "SubTotal")
	private Double subTotal;		
	
	@ManyToOne
	@JoinColumn(name = "ObjectProduksiNonSterilFk")
	@Caption("Produksi Non Steril")
	private ProduksiNonSterilVO produksiNonSteril;
	
	public ProduksiNonSterilVO getProduksiNonSteril() {
		return produksiNonSteril;
	}
	
	public PelayananProduksiVO getPelayananAdmixture() {
		return pelayananAdmixture;
	}

	public void setPelayananAdmixture(PelayananProduksiVO pelayananAdmixture) {
		this.pelayananAdmixture = pelayananAdmixture;
	}

	public String getPelayananAdmixtureId() {
		return pelayananAdmixtureId;
	}

	public void setPelayananAdmixtureId(String pelayananAdmixtureId) {
		this.pelayananAdmixtureId = pelayananAdmixtureId;
	}

	public String getKdBarang() {
		return kdBarang;
	}

	public void setKdBarang(String kdBarang) {
		this.kdBarang = kdBarang;
	}

	public String getNamaBarang() {
		return namaBarang;
	}

	public void setNamaBarang(String namaBarang) {
		this.namaBarang = namaBarang;
	}

	public String getSatuan() {
		return satuan;
	}

	public void setSatuan(String satuan) {
		this.satuan = satuan;
	}

	public Integer getQty() {
		return qty;
	}

	public void setQty(Integer qty) {
		this.qty = qty;
	}

	public Double getHarga() {
		return harga;
	}

	public void setHarga(Double harga) {
		this.harga = harga;
	}

	public Double getSubTotal() {
		return subTotal;
	}

	public void setSubTotal(Double subTotal) {
		this.subTotal = subTotal;
	}

	public PelayananProduksiVO getPelayananCytotoxic() {
		return pelayananCytotoxic;
	}

	public void setPelayananCytotoxic(PelayananProduksiVO pelayananCytotoxic) {
		this.pelayananCytotoxic = pelayananCytotoxic;
	}

	public String getPelayananCytotoxicId() {
		return pelayananCytotoxicId;
	}

	public void setPelayananCytotoxicId(String pelayananCytotoxicId) {
		this.pelayananCytotoxicId = pelayananCytotoxicId;
	}
	
}
